<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">


<xsd:include schemaLocation="common_trans.xsd"/>

	<xsd:element name="CERTIFICATE_DATA" type="CertificateDataContent"/>
	<xsd:element name="COUNTRY_NAME"  type="xsd:string"/>
	<xsd:element name="STATE_OR_PROVINCE_NAME"  type="xsd:string"/>
	<xsd:element name="LOCALITY_NAME"  type="xsd:string"/>
	<xsd:element name="ORGANIZATION_NAME"  type="xsd:string"/>
	<xsd:element name="ORGANIZATION_UNIT_NAME"  type="xsd:string"/>
	<xsd:element name="COMMON_NAME"  type="xsd:string"/>

	<xsd:complexType name="CertificateDataContent">
		<xsd:sequence>
			<xsd:element ref="COUNTRY_NAME" minOccurs="0"/>
			<xsd:element ref="STATE_OR_PROVINCE_NAME" minOccurs="0"/>
			<xsd:element ref="LOCALITY_NAME" minOccurs="0"/>
			<xsd:element ref="ORGANIZATION_NAME" minOccurs="0"/>
			<xsd:element ref="ORGANIZATION_UNIT_NAME" minOccurs="0"/>
			<xsd:element ref="COMMON_NAME" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="TRANS_CERTIFICATE_REQUEST">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

    <xsd:element name="CREATE">
        <xsd:complexType>
            <xsd:sequence>
                <xsd:element ref="CERTIFICATE_DATA"/>
                <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

    <xsd:element name="CREATE_CS">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CERTIFICATE_DATA"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET"/>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="CREATE"/>		<!-- supported from version 2.0.2-->
			<xsd:element ref="CREATE_CS"/>	<!-- supported from version 6.0-->
			<xsd:element ref="GET"/>		<!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
